Content Hub: com::ubuntu::content::Item Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Public Member Functions | Properties | List of all members
com::ubuntu::content::Item Class Reference

`#include <item.h>`

Inheritance diagram for com::ubuntu::content::Item:
Collaboration diagram for com::ubuntu::content::Item:

## Public Member Functions
| Item (const QUrl &=QUrl(), QObject *=nullptr)
| Item (const Item &)
virtual | ~Item ()
Item & | operator= (const Item &)
bool | operator== (const Item &) const
Q_INVOKABLE const QUrl & | url () const
Q_INVOKABLE void | setUrl (const QUrl &url) const
Q_INVOKABLE const QString & | name () const
Q_INVOKABLE void | setName (const QString &name) const
Q_INVOKABLE const QString | text () const
Q_INVOKABLE void | setText (const QString &text) const
Q_INVOKABLE const QByteArray & | stream () const
Q_INVOKABLE void | setStream (const QByteArray &stream) const
Q_INVOKABLE const QString & | streamType () const
Q_INVOKABLE void | setStreamType (const QString &type) const

## Properties
QUrl | url
setUrlQString | name
QString | text
QByteArray | stream
QString | streamType

## Detailed Description

Definition at line 33 of file item.h.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

com::ubuntu::content::Item::Item | ( | const QUrl & | = `QUrl()`,
|  | QObject * | = `nullptr`
| ) |  |

## ◆ Item() [2/2]

com::ubuntu::content::Item::Item | ( | const Item & |  | ) |

## ◆ ~Item()

virtual com::ubuntu::content::Item::~Item | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ name()

Q_INVOKABLE const QString& com::ubuntu::content::Item::name | ( |  | ) | const

## ◆ operator=()

Item& com::ubuntu::content::Item::operator= | ( | const Item & |  | ) |

## ◆ operator==()

bool com::ubuntu::content::Item::operator== | ( | const Item & |  | ) | const

## ◆ setName()

Q_INVOKABLE void com::ubuntu::content::Item::setName | ( | const QString & | name | ) | const

## ◆ setStream()

Q_INVOKABLE void com::ubuntu::content::Item::setStream | ( | const QByteArray & | stream | ) | const

## ◆ setStreamType()

Q_INVOKABLE void com::ubuntu::content::Item::setStreamType | ( | const QString & | type | ) | const

## ◆ setText()

Q_INVOKABLE void com::ubuntu::content::Item::setText | ( | const QString & | text | ) | const

## ◆ setUrl()

Q_INVOKABLE void com::ubuntu::content::Item::setUrl | ( | const QUrl & | url | ) | const

## ◆ stream()

Q_INVOKABLE const QByteArray& com::ubuntu::content::Item::stream | ( |  | ) | const

## ◆ streamType()

Q_INVOKABLE const QString& com::ubuntu::content::Item::streamType | ( |  | ) | const

## ◆ text()

Q_INVOKABLE const QString com::ubuntu::content::Item::text | ( |  | ) | const

## ◆ url()

Q_INVOKABLE const QUrl& com::ubuntu::content::Item::url | ( |  | ) | const

## Property Documentation

## ◆ name

setUrlQString com::ubuntu::content::Item::name
| readwrite

Definition at line 36 of file item.h.

## ◆ stream

QByteArray com::ubuntu::content::Item::stream
| readwrite

Definition at line 36 of file item.h.

## ◆ streamType

QString com::ubuntu::content::Item::streamType
| readwrite

Definition at line 36 of file item.h.

## ◆ text

QString com::ubuntu::content::Item::text
| readwrite

Definition at line 36 of file item.h.

## ◆ url

QUrl com::ubuntu::content::Item::url
| read

Definition at line 75 of file item.h.

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/item.h